  {% extends "./layout/main.Twig" %}
 
  {% block content %}
    <h1>Registrarse</h1>
    {{BASE_URL}}
    <div class="col-md-6 col-md-offset-3">
      {# **************************************************** #}
      <div class="card">
        <div class="card-body">
          
          {% if alertas|length > 0 %}
            
            <ul>
              {% for alerta in alertas %}
                <li class="text-danger" >{{ alerta }}</li>
              {% endfor %}
            </ul>
          {% endif %}
          {# **************************************************** #}
          <form action ="{{base_url  ~  "usuario/registro"}}" method ="POST" id="formCrear">
            <input type="hidden" value="{{base_url}}" id="baseUrl"> 

            <div class="row">
              <div class="col-md-12">
                <label>Documento</label>
                <input class="form-control" name="documento" type ="text" id="documento" placeholder="Numero documento" required>
                <button class="btn btn-primary" type="button" id="btn_buscar">Buscar</button>
                <span id="loader"></span>
              </div>
            </div>
            
            <div class="row">
              <div class="col-md-12">
                <label>Nombre</label>
                <input class="form-control" name="nombre" type ="text" id="nombre" required>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <label>Email</label>
                <input class="form-control" name="email" type ="email" id="email" required> 
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <label>Telefono</label>
                <input class="form-control" name="telefono" type ="text" id="telefono" required>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <label>Titulo profesional</label>
                <input class="form-control" name="titulo" type ="text" id="titulo" required>
              </div>
            </div>
          
            <div class="row">
              <div class="col-md-12">
                <label>Pais</label>
                <select class="form-control" name ="pais" id="pais" required>
                </select>
              </div>
            </div>

            <div class="row">
              <div class="col-md-12">
                <label>Contraseña</label>
                <input class="form-control" name="password" type ="password" id="password" required>
              </div>
            </div>
            <br>
            <button class="btn btn-primary btn-block" id="btn-registro">Registrame</button>
            <a class="btn btn-danger btn-block" href="{{base_url  ~  "usuario/index"}}">Login</a>
          </form>
          {# ***************************************************** #}
        </div>
      </div>
      {# **************************************************** #}
    </div>
    
  {% endblock %}

  {% block footer %}
    <script type='text/javascript'>
      document.addEventListener("DOMContentLoaded", function(event) {
        obtenerPaises()
      });
      var baseUrl = document.getElementById('baseUrl').value;
      console.log(baseUrl);

      function obtenerPaises() {
        fetch(baseUrl + 'customerData/apiObtenerPaises',{
          method: 'GET'
        })
        .then(response=>response.json())
        .then(function(datos){
          let optionSelect = '';
          datos.forEach(function(value){
            optionSelect += `
              <option value ="${value}">${value}</option>         
            `;
          });

          document.getElementById('pais').innerHTML = optionSelect;
        });
      }

      document.getElementById('btn_buscar').addEventListener('click', buscarUsuario);

      function buscarUsuario() {
        let documento = document.getElementById('documento').value;
        if(documento != ''){
          
          document.getElementById('loader').innerHTML = "...Buscando resultado";
          document.getElementById('btn-registro').setAttribute('disabled', true);
          
          fetch(baseUrl + 'customerData/apiUsuarios/' + documento,{
            method: 'GET'
          })
          .then(response=>response.json())
          .then(function(datos){
            if(datos.nombre != '' && datos.nombre != undefined ) {
              document.getElementById('nombre').value = datos.nombre;
              document.getElementById('documento').value = datos.documento;
              document.getElementById('pais').value = datos.pais;
              document.getElementById('email').value = datos.email;
              document.getElementById('telefono').value = datos.telefono;
              document.getElementById('titulo').value = datos.tituloProfesional;

              document.getElementById('loader').innerHTML = "";
            }else {
              document.getElementById('loader').innerHTML = "No encontrado";
              document.getElementById('nombre').value = '';
              document.getElementById('documento').value = '';
              document.getElementById('email').value = '';
              document.getElementById('telefono').value = '';
              document.getElementById('titulo').value = '';
            }
            document.getElementById('btn-registro').removeAttribute('disabled');
            
          });
        }else {
          alert('Documento requerido para la busqueda');
        }
      }
    </script>
  {% endblock %}